Bug 122104 - FILEOPEN XLSX, Conditional formatting with a gradient background changes to a single color background in LO
Summary: FILEOPEN XLSX, Conditional formatting with a gradient background changes to a...
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
Inherited From OOo
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords: filter:xlsx
Depends on: 49177
Blocks: XLSX-Conditional-Formatting Object-Fill-Gradient
  Show dependency treegraph
 
Reported: 2018-12-14 12:40 UTC by NISZ LibreOffice Team
Modified: 2021-01-24 04:05 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:


Attachments
The original spreadsheet. (17.64 KB, application/vnd.openxmlformats-officedocument.spreadsheetml.sheet)
2018-12-14 12:40 UTC, NISZ LibreOffice Team
Details
Screenshot of the original document side by side in Excel and Calc. (320.30 KB, image/png)
2018-12-14 12:41 UTC, NISZ LibreOffice Team
Details

Note You need to log in before you can comment on or make changes to this bug.
Description NISZ LibreOffice Team 2018-12-14 12:40:19 UTC
Description:
When you create a conditional formatting in Excel with a gradient background and open it in LO it changes to a single color background somewhere between the two colors.

Steps to Reproduce:
    1. Create a new xlsx in Excel.
    2. Create a new conditional formatting rule and give it a background with gradient effect between 2 colors.
    3. Write some text that fulfills the condition.
    4. Save it and open it in LO

Actual Results:
The cells that fulfill the condition now have a background color between the 2 colors.

Expected Results:
They should keep their gradient background.


Reproducible: Always


User Profile Reset: No



Additional Info:
Comment 1 NISZ LibreOffice Team 2018-12-14 12:40:50 UTC
Created attachment 147544 [details]
The original spreadsheet.
Comment 2 NISZ LibreOffice Team 2018-12-14 12:41:10 UTC
Created attachment 147545 [details]
Screenshot of the original document side by side in Excel and Calc.
Comment 3 Roman Kuznetsov 2018-12-15 10:11:22 UTC
confirm in

Version: 6.3.0.0.alpha0+
Build ID: 3c964980da07892a02d5ac721d80558c459532d0
CPU threads: 4; OS: Windows 6.1; UI render: default; VCL: win; 
TinderBox: Win-x86@42, Branch:master, Time: 2018-12-12_02:07:45
Locale: ru-RU (ru_RU); UI-Language: en-US
Calc: threaded

and in

Версия: 6.1.2.1
ID сборки: 65905a128db06ba48db947242809d14d3f9a93fe
Потоков ЦП: 4; ОС:Windows 6.1; Отрисовка ИП: по умолчанию; 
Локаль: ru-RU (ru_RU); Calc: group threaded

Calc can't make gradient fill for cells therefore it changes gradient fill in cells to solid color
Comment 4 Xisco Faulí 2018-12-18 17:25:03 UTC
Gradient is not yet supported in LibreOffice Calc. See bug 49177
Comment 5 QA Administrators 2021-01-24 04:05:43 UTC
Dear NISZ LibreOffice Team,

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from https://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug